Bug 448101 - jadetex should restorecon -R /usr/share/texmf/web2c in%post
jadetex should restorecon -R /usr/share/texmf/web2c in%post
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: jadetex (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Ondrej Vasik
Brock Organ
:
Depends On:
Blocks: 445005
  Show dependency treegraph
 
Reported: 2008-05-23 10:04 EDT by Milan Zázrivec
Modified: 2013-04-15 04:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 10:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2008-05-23 10:04:35 EDT
Description of problem:
Several jadetex files under /usr/share/texmf/web2c are installed with
incorrect selinux context (as a result of running fmtutil-sys in %post).
To correct this, jadetex should run restorecon -R /usr/share/texmf/web2c
in %post.

Version-Release number of selected component (if applicable):
jadetex-3.12-13.1.1 / RHEL5.2 GA

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5.2 GA, jadetex included, selinux enabled
2. # setfiles -vqn /etc/selinux/targeted/contexts/files/file_contexts \
   /usr/share/texmf/web2c|grep relabeling
Comment 1 Milan Zázrivec 2008-05-23 10:20:54 EDT
restorecon -R /usr/share/texmf/web2c in %post won't affect anaconda insallations.

See https://bugzilla.redhat.com/show_bug.cgi?id=448099#c1
Comment 2 RHEL Product and Program Management 2008-07-21 19:01:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 errata-xmlrpc 2009-03-18 10:55:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0378.html

Note You need to log in before you can comment on or make changes to this bug.